lkml.org 
[lkml]   [2009]   [Jan]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] kbuild: Disallow GCC 4.1.0 / 4.1.1


On Fri, 2 Jan 2009, Ingo Molnar wrote:
>
> The gcc3 check for gcc 3.0 and 3.1 can be pushed into gcc3 as well - not
> sure whether you fixed that. (i fixed it in the patch i just sent - but i
> didnt notice the gcc5 mess in gcc4.h that you fixed)

I just dropped it. Gcc 3.0 and 3.1 are so old that we simply don't care.

Nobody who has compiled a kernel in the last two years can possibly have
those versions: we've failed the build on them since December 2006. And
there obviously won't be any new users either. So consider it a
generational garbage collection event.

Of course, if we really want to check for old compiler versions, we can
add the check back (to the gcc3 header file where it belongs), but it does
seem to be entirely historical.

Linus


\
 
 \ /
  Last update: 2009-01-02 19:03    [from the cache]
©2003-2011 Jasper Spaans